Get

[POST] .../v1/retailcardmigration/tasks/get

Returns retail card migration tasks. Use this method to retrieve configured retail card migration tasks that move cards from one loyalty program to another according to scheduled rules. The request supports filters by ids, promo_from_ids, promo_to_ids and search text, supports sort_orders, limit and offset and returns result with next_offset and total plus translated source and target promo program data for the current request user language. The method checks the current request user and requires retail card migration select permission; missing body, invalid filters or sort_orders, denied permission, translation lookup issues and storage errors are returned as HTTP 200 ErrorResult business errors.

Request Parameters

Name Type Required Description
filters Array of Filter Optional Optional filters by fields available for this API method.
limit Int32 Optional Number of result items returned by the request.
offset Int32 Optional Offset from the beginning of the result set.
search String Optional Search string for source and target loyalty program names.
sort_orders Array of BaseSortColumn Optional Output parameter sorting.

Filterable Fields

Field Type Description
ids int Migration task ID array.
promo_from_ids int Source loyalty program ID array.
promo_to_ids int Target loyalty program ID array.

Request Example

{
  "filters": [
    {
      "Field": "ids",
      "Operator": "Equal",
      "Value": "string"
    }
  ],
  "limit": 1,
  "offset": 1,
  "search": "string",
  "sort_orders": [
    {
      "column": "string",
      "direction": "ASC"
    }
  ]
}

Response Parameters

Name Type Description
next_offset Int32 Offset for the next data page.
ok Boolean Indicates whether the request completed successfully.
result Array of RetailCardMigrationTask Result array.
total Int64 Total number of result items.

Response Example

{
  "next_offset": 1,
  "ok": true,
  "result": [
    {
      "end_date": 1,
      "id": 1,
      "last_run": 1,
      "order": 1,
      "promo_from": {
        "active": true,
        "days": [
          1
        ],
        "description": "string",
        "end_date": "string",
        "end_time": "string",
        "id": 1,
        "last_update": 1,
        "name": "string",
        "priority": 1,
        "start_date": "string",
        "start_time": "string",
        "sub_type": 1,
        "type": {
          "id": 1,
          "last_update": 1,
          "name": "string"
        }
      },
      "promo_to": {
        "active": true,
        "days": [
          1
        ],
        "description": "string",
        "end_date": "string",
        "end_time": "string",
        "id": 1,
        "last_update": 1,
        "name": "string",
        "priority": 1,
        "start_date": "string",
        "start_time": "string",
        "sub_type": 1,
        "type": {
          "id": 1,
          "last_update": 1,
          "name": "string"
        }
      },
      "run_period": 1,
      "run_period_type": "Day",
      "start_date": 1
    }
  ],
  "total": 1
}